%define module_name	slmdm
%define module_version	2.7.10
%define module_release	alt22.132125.9

%define kversion	2.4.29
%define krelease	alt9
%define flavour		std-up

%define module_dir /lib/modules/%kversion-%flavour-%krelease/%module_name


Summary:	slmdm kernel modules for SmartLink Soft Modems support
Name:		kernel-modules-%module_name-%flavour
Version:	%module_version
Release:	%module_release
Serial:		1

License:	Distributable
Group:		System/Kernel and hardware

Packager:       Kernel Maintainer Team <kernel@packages.altlinux.org>

ExclusiveOS:	Linux
URL:		http://linmodems.technion.ac.il/packages/smartlink/
BuildRequires: kernel-build-tools >= 0.7
BuildRequires: kernel-headers-modules-%flavour = %kversion-%krelease
BuildRequires: kernel-source-%module_name-%module_version

Provides:  kernel-modules-%module_name-%kversion-%flavour-%krelease = %serial:%version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease < %serial:%version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease > %serial:%version-%release

Prereq:		coreutils
Prereq:		modutils
Prereq:         kernel-image-%flavour = %kversion-%krelease
Requires(postun): kernel-image-%flavour = %kversion-%krelease
Requires:       kernel-modules-slmdm-data
ExclusiveArch:	%ix86

%description
slmdm kernel modules for SmartLink Soft Modems support.

These are modules for your ALT Linux system

%prep

rm -rf kernel-source-%module_name-%module_version

tar -jxvf %_usrsrc/kernel/sources/kernel-source-%module_name-%module_version.tar.bz2

%setup -D -T -n kernel-source-%module_name-%module_version

%build
. %_usrsrc/linux-%kversion-%flavour/gcc_version.inc
%make_build KERNEL_INCLUDES=%_includedir/linux-%kversion-%flavour/include CC=gcc-$GCC_VERSION all

%install
mkdir -p \
    $RPM_BUILD_ROOT/%module_dir $RPM_BUILD_ROOT/%_sysconfdir
%__install -D -m 644 slmdm.o slfax.o slamrmo.o slusb.o \
    $RPM_BUILD_ROOT/%module_dir
					    
%post
%post_kernel_modules %kversion-%flavour-%krelease

%postun
%postun_kernel_modules %kversion-%flavour-%krelease

%files
%defattr(644,root,root,755)
%module_dir
%doc COPYRIGHT Changes FAQ README

%changelog
* Wed Feb 23 2005 LAKostis <lakostis at altlinux.ru> 1:2.7.10-alt22.132125.9
- strict gcc version.

* Sun Dec 26 2004 Sergey Vlasov <vsu@altlinux.ru> 1:2.7.10-alt21.132125.9
- Rebuild for kernel 2.4.28.

* Sun Oct 17 2004 Sergey Vlasov <vsu@altlinux.ru> 1:2.7.10-alt20.132125.9
- Rebuild for kernel 2.4.27.

* Tue Aug 03 2004 Sergey Vlasov <vsu@altlinux.ru> 1:2.7.10-alt19.132125.9
- Use %%post_kernel_modules and %%postun_kernel_modules macros in scripts.

* Thu May 13 2004 Sergey Vlasov <vsu@altlinux.ru> 1:2.7.10-alt18.132125.9
- Rebuild for kernel 2.4.26.

* Fri Feb 27 2004 Sergey Vlasov <vsu@altlinux.ru> 1:2.7.10-alt17.132125.9
- Updated for the new compiler version selection scheme (GCC_VERSION).

* Fri Nov 28 2003 Sergey Vlasov <vsu@altlinux.ru> 1:2.7.10-alt16.132125.9
- Added Provides/Conflicts to make sure that only one version of the package
  can be installed for each kernel version.

* Tue Nov 18 2003 Sergey Vlasov <vsu@altlinux.ru> 1:2.7.10-alt15.132125.9
- Fixed spec file name.
- Fixed %%module_dir definition.
- Avoid %%postun failure when this package is removed after
  kernel-image-%%flavour (currently rpm cannot prevent this).

* Wed Sep 03 2003 Rider <rider@altlinux.ru> 1:2.7.10-alt14.132125.9
- fix specfile for build modules with kernel includes in otcher directory
- added build requires

* Fri Aug 15 2003 Peter Novodvorsky <nidd@altlinux.com> 1:2.7.10-alt13
- rebuilt with 2.4.21rel-alt13

* Wed Aug 13 2003 Peter Novodvorsky <nidd@altlinux.com> 1:2.7.10-alt12
- rebuilt with 2.4.21rel-alt12

* Tue Aug 12 2003 Peter Novodvorsky <nidd@altlinux.com> 1:2.7.10-alt11
- rebuilt with 2.4.21rel-alt11

* Mon Aug 11 2003 Peter Novodvorsky <nidd@altlinux.com> 1:2.7.10-alt10
- rebuilt with 2.4.21rel-alt10

* Thu Aug 07 2003 Peter Novodvorsky <nidd@altlinux.com> 1:2.7.10-alt9
- rebuilt with 2.4.21rel-alt9

* Wed Aug 06 2003 Peter Novodvorsky <nidd@altlinux.com> 1:2.7.10-alt8
- rebuilt with 2.4.21rel-alt8

* Wed Jul 30 2003 Peter Novodvorsky <nidd@altlinux.com> 1:2.7.10-alt7
- rebuilt with 2.4.21rel-alt7

* Thu Jul 17 2003 Peter Novodvorsky <nidd@altlinux.com> 1:2.7.10-alt6
- rebuilt with 2.4.21rel-alt6

* Wed Jul 16 2003 Peter Novodvorsky <nidd@altlinux.com> 1:2.7.10-alt5
- rebuilt with 2.4.21rel-alt5

* Fri Jul 11 2003 Peter Novodvorsky <nidd@altlinux.com> 2.7.10-alt4
- downgraded

* Mon Jul 07 2003 Peter Novodvorsky <nidd@altlinux.com> 2.7.14-alt3
- rebuilt with 2.4.21rel alt3

* Sat Jun 21 2003 Peter Novodvorsky <nidd@altlinux.com> 2.7.14-alt2
- rebuilt with 2.4.21rel

* Tue May 13 2003 Peter Novodvorsky <nidd@altlinux.org> 5.03.27lnxtbeta03042700-alt1
- initial release 
